com.fasterxml.jackson.databind.introspect

## Class EnumNamingStrategyFactory

- java.lang.Object
- - com.fasterxml.jackson.databind.introspect.EnumNamingStrategyFactory

    public class EnumNamingStrategyFactory
    extends Object

Helper class used for aggregating information about all possible properties of a Enum.

Since:
  2.15

### Method Summary

All Methods Static Methods Concrete Methods
`static EnumNamingStrategy` `createEnumNamingStrategyInstance(Object namingDef, boolean canOverrideAccessModifiers)` Factory method for creating an instance of `EnumNamingStrategy` from a provided `namingDef`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createEnumNamingStrategyInstance

    public static EnumNamingStrategy createEnumNamingStrategyInstance(Object namingDef,
                                                                      boolean canOverrideAccessModifiers)

Factory method for creating an instance of `EnumNamingStrategy` from a provided `namingDef`.

Parameters:
  `namingDef` - subclass of `EnumNamingStrategy` to initialize an instance of.
  `canOverrideAccessModifiers` - whether to override access modifiers when instantiating the naming strategy.
Returns:
  an instance of `EnumNamingStrategy` if `namingDef` is a subclass of `EnumNamingStrategy`, `null` if `namingDef` is `null`, and an instance of `EnumNamingStrategy` if `namingDef` already is one.
Throws:
  `IllegalArgumentException` - if `namingDef` is not an instance of `Class` or not a subclass of `EnumNamingStrategy`.
Since:
  2.15